 /**************************************************************************
 *   Copyright (C) 2004 by  Holger Macht                                   *
 *                            <hmacht@suse.de>                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/

#include "schemes.h"



int Schemes::count() {
	return scheme_list.size();
}

QStringList Schemes::schemeList() {
	return scheme_list;
}

QString Schemes::currentScheme() {
	return current_scheme;
}

QString Schemes::batteryScheme() {
	return battery_scheme;
}

QString Schemes::acScheme() {
	return ac_scheme;
}

void Schemes::setCurrentScheme( char *_current_scheme ){
	current_scheme = _current_scheme;
}

void Schemes::setBatteryScheme( char *_battery_scheme ) {
	battery_scheme = _battery_scheme;
}

void Schemes::setAcScheme( char *_ac_scheme ) {
	ac_scheme = _ac_scheme;
}

void Schemes::append( char *scheme ) {
	scheme_list.append( scheme );
}

void Schemes::clear() {
	scheme_list.clear();
	current_scheme = "";
	battery_scheme = "";
	ac_scheme = "";
}

bool Schemes::differ( QStringList other_schemes ) {
	QStringList::iterator other_node = other_schemes.begin();
	for ( QStringList::iterator node = scheme_list.begin();
	      node != scheme_list.end();
	      ++node ) {
		if ( (QString)*node != (QString)*other_node ) {
			return true;
		}

		++other_node;
	}

	return false;
}
